searchData={"items":[{"type":"module","title":"RotatingFile","doc":"A GenServer that rotates a log file when it reaches a certain size.\nIt creates a new compressed log file and deletes the oldest ones when the number of files exceeds the limit.","ref":"RotatingFile.html"},{"type":"function","title":"RotatingFile.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"RotatingFile.html#child_spec/1"},{"type":"function","title":"RotatingFile.delete_all/1","doc":"Deletes all log files.","ref":"RotatingFile.html#delete_all/1"},{"type":"function","title":"RotatingFile.start_link/1","doc":"Starts the rotating file server.","ref":"RotatingFile.html#start_link/1"},{"type":"function","title":"Options - RotatingFile.start_link/1","doc":"- `:name` - The name of the GenServer process. Defaults to `RotatingFile`.\n- `:max_size` - The maximum size of the log file in bytes. Defaults to `100 * 1024 * 1024`.\n- `:max_files` - The maximum number of log files to keep. Defaults to `10`.\n- `:file` - The path to the log file. Defaults to `\"output.log\"`.","ref":"RotatingFile.html#start_link/1-options"},{"type":"function","title":"Example - RotatingFile.start_link/1","doc":"```elixir\nRotatingFile.start_link(name: :rotating_file, max_size: 100 * 1024 * 1024, max_files: 10, file: \"stdout.log\")\n```","ref":"RotatingFile.html#start_link/1-example"},{"type":"function","title":"RotatingFile.sync/1","doc":"Ensures the log file is synced to disk.","ref":"RotatingFile.html#sync/1"},{"type":"function","title":"RotatingFile.write/2","doc":"Adds bytes to the log file. When no pid or name is provided, it will use the default module name.","ref":"RotatingFile.html#write/2"},{"type":"function","title":"Example - RotatingFile.write/2","doc":"```elixir\nRotatingFile.write(:rotating_file, \"Hello, world!\n\")\n```","ref":"RotatingFile.html#write/2-example"},{"type":"extras","title":"RotatingFile","doc":"# RotatingFile\n\n**TODO: Add description**","ref":"readme.html"},{"type":"extras","title":"Installation - RotatingFile","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `rotating_file` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:rotating_file, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}